# Uses of Class
java.net.ProtocolException

Packages that use ProtocolException
Package
Description
java.net
Provides the classes for implementing networking applications.

- ## Uses of ProtocolException in java.net

  Methods in java.net that throw ProtocolException
  Modifier and Type
  Method
  Description
  `void`
  HttpURLConnection.`setRequestMethod(String method)`
  Set the method for the URL request, one of: GET POST HEAD OPTIONS PUT DELETE TRACE are legal, subject to protocol restrictions.